PHP 7.3 Set to Launch in December

Written: 23.11.2018 Updated: 23.11.2018

The latest PHP version, 7.3, is on its way and is set to launch in December. The current, and presumably last, pre-release version is 7.3.0RC6 (released 22th November 2018). The 7.3 release is focused on improving developer experience, with flexible heredoc and nowdoc syntaxes among other things being implemented.

For a full list of changes, new functions, and deprecated functions and features, head over to Github and check out the PHP 7.3 Upgrade Notes.

WordPress and PHP – What Every WordPress User Needs to Know

WordPress is written using PHP as its scripting language, making it one of the most important parts of all WordPress websites out there. It’s not something that you have to learn in order to use WordPress, as most users can happily use their websites without ever touching a single line of PHP code. 

What all WordPress users do need to understand about PHP, however, is the massive effect it has on the performance and security of their sites. There is a new version of PHP being rolled out approximately once a year, with active support for each release being two years and after that there will be one year of security updates. This means that PHP is not something you can set and forget. Any hosting provider worth their salt knows this and must offer support for the latest PHP versions soon after they are released.

What Does This Mean for WordPress Sites Using Old PHP Versions?

New PHP versions bring with them updates on security and performance, meaning that the older the PHP version, the slower the WordPress site. If you find yourself using any PHP version that is not 7.1 or higher, it is highly recommended to update your PHP version, as security support will end in December 2018 for all versions older than PHP 7.1.

Source: http://php.net/supported-versions.php

Another good reason to upgrade your WordPress website to a new PHP version is the speed improvement offered by the newer PHP versions, especially over the soon to be deprecated PHP 5.6.

Unfortunately, according to the statistics gather by WordPress, over 50% of the sites are using PHP version 5.6 or 7.0, both of which will reach their end of life this December. What’s even worse is the percentage of sites using an even older PHP version.

Over 30% of WordPress websites are using a PHP version that is no longer receiving security updates, making them far easier targets for security breaches than sites using a supported PHP version. This is a very alarming number, especially considering that version 5.6 and 7.0 will not be receiving security updates after this December.

That potentially leaves a grand total of over 80% of all WordPress websites running on a PHP version that is no longer receiving security updates.

Source: https://wordpress.org/about/stats/

The main reasons behind WordPress website owners leaving their site running on an old, unsupported PHP version rather than upgrading it to a newer, faster and more secure version are their lack of knowledge on the different PHP version, their choice of web host and the fact that its simply easier to not upgrade your PHP version.

At Seravo we are dedicated to make our customers’ WordPress sites run as fast and securely as possible, and all of our customers have access to our support team of WordPress experts. Our servers include all the latest PHP versions as well as our proactive security monitoring, meaning you can sleep soundly at night while we take care of your WordPress site. Take a look at our plans and if you have any questions about us or our service, feel free to contact us!

Which PHP Version Should You Be Using?

If you’re still not sure which PHP version you should go with, then you’ll be happy to know that we’re giving you a direct answer.

We highly recommend you start using PHP version 7.2 now, as the active support has ended for both PHP 5.6 and 7.0, and will end for PHP 7.1 on the 1st of December 2018. However, whatever you do, please stop using PHP 5.6 and 7.0 before the end of this year! Those versions will receive no further security updates after this December, leaving your site extremely vulnerable in the event of a security breach in PHP 5.6 or 7.0.

Please stop using PHP 5.6 and 7.0 before the end of this year, as they will no longer receive security updates after December 2018.

We offer all our customers the choice to select the PHP version they wish to use, and migrating from PHP 5.6 or 7.0 to the newest version can be done in a matter of minutes by following our select your PHP version guide.

Before selecting a different PHP version, you should always check for your the compatibility of your site with the version you want to start using. Seravo customers can do this by connecting to their site using SSH and using the command wp-php-compatibility-check.

No incompatibilities with the latest PHP version 7.2

When the compatibility test has finished it will show you if there are any incompatibilities, or as in the example picture above, everything’s compatible with the latest PHP version. 

All of our plans include the fastest possible hardware and software for your WordPress site, as well as proactive security monitoring, automatic updates, SSH access, expert WordPress support and much more. Signing up is easy, and if you have any questions about our services, feel free to contact us for more information!

Leave a comment

Eetu Mäkelä

Marketing & Communications eetu@seravo.com @EetuPMakela

Search Seravo.com

Categories

More reading

WordPress 5.0 is coming out on December 6

4.12.2018

When WordPress 5.0 missed its original release target date in the end of November, the consensus in the community seemed […]

Getting to know the WordPress Community in Barcelona

14.11.2018

The Finnish WordPress community is incredibly active taken into account the size of our country: we have regular meetups in […]

Why Choose WooCommerce?

6.11.2018

WooCommerce is the most popular eCommerce plugin for WordPress, with over four million active installations and it is estimated to […]